Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.util
Class ByteId

    java.lang.Object
      org.apache.openjpa.util.OpenJPAId
          org.apache.openjpa.util.ByteId

All Implemented Interfaces:
  Serializable, Comparable

    public final class ByteId

extends OpenJPAId

`OpenJPAId` subclass appropriate for byte fields.

Author:
  Steve Kim
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.openjpa.util.OpenJPAId
`subs, type, TYPE_VALUE_SEP`

Constructor Summary
`ByteId(Class cls, byte key)`
`ByteId(Class cls, Byte key)`
`ByteId(Class cls, byte key, boolean subs)`
`ByteId(Class cls, String key)`

Method Summary
`byte` | `getId()`
`Object` | `getIdObject()` Return the identity value as an object.
`protected boolean` | `idEquals(OpenJPAId o)` Compare the id to the id of the given instance.
`protected int` | `idHash()` Return the id's hash code.
`String` | `toString()`

Methods inherited from class org.apache.openjpa.util.OpenJPAId
`compareTo, equals, getType, hashCode, hasSubclasses, setManagedInstanceType, setManagedInstanceType`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ByteId

    public ByteId(Class cls,
                  Byte key)

### ByteId

    public ByteId(Class cls,
                  String key)

### ByteId

    public ByteId(Class cls,
                  byte key)

### ByteId

    public ByteId(Class cls,
                  byte key,
                  boolean subs)

Method Detail

### getId

    public byte getId()

### getIdObject

    public Object getIdObject()

  Description copied from class: `OpenJPAId`
  Return the identity value as an object.

  Specified by:
    `getIdObject` in class `OpenJPAId`

### toString

    public String toString()

  Overrides:
    `toString` in class `OpenJPAId`

### idHash

    protected int idHash()

  Description copied from class: `OpenJPAId`
  Return the id's hash code.

  Specified by:
    `idHash` in class `OpenJPAId`

### idEquals

    protected boolean idEquals(OpenJPAId o)

  Description copied from class: `OpenJPAId`
  Compare the id to the id of the given instance.

  Specified by:
    `idEquals` in class `OpenJPAId`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.